## ESourceLocal ESourceLocal |

## Functions

GFile * | e_source_local_get_custom_file ()
GFile * | e_source_local_dup_custom_file ()
void | e_source_local_set_custom_file ()

## Types and Values

#define | E_SOURCE_EXTENSION_LOCAL_BACKEND

## Object Hierarchy

        GObject
        ╰── ESourceExtension
            ╰── ESourceLocal

## Description

## Functions

### e_source_local_get_custom_file ()

    GFile *
    e_source_local_get_custom_file (ESourceLocal *extension);

#### Parameters

extension | an ESourceLocal |

#### Returns

the GFile instance.

[transfer none]

### e_source_local_dup_custom_file ()

    GFile *
    e_source_local_dup_custom_file (ESourceLocal *extension);

#### Parameters

extension | an ESourceLocal |

#### Returns

the GFile instance.

[transfer full]

### e_source_local_set_custom_file ()

    void
    e_source_local_set_custom_file (ESourceLocal *extension,
                                    GFile *custom_file);

## Types and Values

### E_SOURCE_EXTENSION_LOCAL_BACKEND

    #define E_SOURCE_EXTENSION_LOCAL_BACKEND "Local Backend"